#include "widget.h"
#include "ui_widget.h"
#include <iostream>
using namespace  std;

// _______________________ constructeur
Widget::Widget(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::Widget)
{
    ui->setupUi(this);


    // l'IHM
    this->setWindowTitle("QWT example - 1.00 - speedometer");

    speedo = new SpeedoMeter(ui->frameSpeedo);
    speedo->setGeometry(0, 0, ui->frameSpeedo->width(), ui->frameSpeedo->height());
   }

//                                      Destructeur
Widget::~Widget()
{
    delete ui;
}


void Widget::on_horizontalSlider_sliderMoved(int position)
{
speedo->setValue(ui->horizontalSlider->value());
}
