#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>

#include <iostream>
using namespace std;
#include <QTimer>

#include <inttypes.h>

#include <QSettings>
#include <qwt.h>
#include <speedo_meter.h>

namespace Ui {
class Widget;
}

class Widget : public QWidget
{
    Q_OBJECT
    
public:
    explicit Widget(QWidget *parent = 0);
    ~Widget();
    
private slots:


    void on_horizontalSlider_sliderMoved(int position);

private:
    Ui::Widget *ui;
    SpeedoMeter *speedo;
 };

#endif // WIDGET_H
